Debian Bug report logs - #297346
ITA: albert -- Documents Common Lisp programs in DocBook format

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Kevin M. Rosenberg" <kmr@debian.org>

Date: Mon, 28 Feb 2005 18:33:15 UTC

Owned by: René van Bevern <rvb@pro-linux.de>

Severity: normal

Fixed in version albert/1:0.4.10-2

Done: René van Bevern <rvb@pro-linux.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#297346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Kevin M. Rosenberg" <kmr@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Kevin M. Rosenberg" <kmr@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: albert
Date: Mon, 28 Feb 2005 11:29:07 -0700
Package: wnpp
Severity: normal


Description: Common Lisp -> DocBook documenter
 This package provides a relatively simple CL -> DocBook documenter
 that is fairly similar to e.g javadoc.


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.8
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#297346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to René van Bevern <rvb@pro-linux.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 297346@bugs.debian.org (full text, mbox):

From: René van Bevern <rvb@pro-linux.de>
To: 297346@bugs.debian.org, control@bugs.debian.org
Cc: cl-debian@common-lisp.net, wnpp@debian.org
Subject: Bug#297346: getting albert in shape
Date: Tue, 7 Jun 2005 02:40:26 +0200
[Message part 1 (text/plain, inline)]
retitle 297346 ITA: albert
owner 297346 !
thanks

As I am working on a package of AspectL (ITP 311420), whose documentation
is generated by albert, I try getting albert in shape to not provide an
undocumented package.

In its current state, albert neither works with CMUCL (probably others)
(#312277) nor with SBCL. For the first issue, I have a solution ready.

The issue about SBCL is: SBCL uses SIMPLE-STRING for strings since
the time it supports UTF-8, no matter if the string really has UTF-8
characters. This is perfectly fine by the HyperSpec, as it does not
require implementations to use the "strictest possible" string type.

However, Albert (and also cl-xmls) assert SIMPLE-BASE-STRING for their
XML strings, that may only contain ASCII. This is IMO the wrong way of
assuring that a string is ASCII-only, but it breaks Albert and
cl-xmls (probably others) for SBCL.

	René van Bevern
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from René van Bevern <rvb@pro-linux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as René van Bevern <rvb@pro-linux.de>. Request was from René van Bevern <rvb@pro-linux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#297346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to René van Bevern <rvb@pro-linux.de>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #19 received at 297346@bugs.debian.org (full text, mbox):

From: René van Bevern <rvb@pro-linux.de>
To: debian-cl@common-lisp.net, control@bugs.debian.org
Cc: 297346@bugs.debian.org
Subject: ITA, RFS: albert -- new package ready
Date: Tue, 7 Jun 2005 16:01:36 +0200
[Message part 1 (text/plain, inline)]
tags 297346 pending
thanks

Hi,

as proposed yesterday, I have a new version of albert ready. It works
with CMUCL and SBCL again and is avaiable from

	deb-src ftp://progn.org/debian unstable main

I'd be happy if Peter was so kind to sponsor this package as well, so
that I can go on working on/with cl-aspectl. :)

	René van Bevern
[Message part 2 (application/pgp-signature, inline)]

Tags added: pending Request was from René van Bevern <rvb@pro-linux.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to René van Bevern <rvb@pro-linux.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Kevin M. Rosenberg" <kmr@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 297346-close@bugs.debian.org (full text, mbox):

From: René van Bevern <rvb@pro-linux.de>
To: 297346-close@bugs.debian.org
Subject: Bug#297346: fixed in albert 1:0.4.10-2
Date: Thu, 09 Jun 2005 23:47:03 -0400
Source: albert
Source-Version: 1:0.4.10-2

We believe that the bug you reported is fixed in the latest version of
albert, which is due to be installed in the Debian FTP archive:

albert_0.4.10-2.diff.gz
  to pool/main/a/albert/albert_0.4.10-2.diff.gz
albert_0.4.10-2.dsc
  to pool/main/a/albert/albert_0.4.10-2.dsc
albert_0.4.10-2_i386.deb
  to pool/main/a/albert/albert_0.4.10-2_i386.deb
albert_0.4.10.orig.tar.gz
  to pool/main/a/albert/albert_0.4.10.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 297346@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
René van Bevern <rvb@pro-linux.de> (supplier of updated albert package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue,  7 Jun 2005 15:46:32 +0200
Source: albert
Binary: albert
Architecture: source i386
Version: 1:0.4.10-2
Distribution: unstable
Urgency: low
Maintainer: René van Bevern <rvb@pro-linux.de>
Changed-By: René van Bevern <rvb@pro-linux.de>
Description: 
 albert     - Documents Common Lisp programs in DocBook format
Closes: 297346 312277 312317
Changes: 
 albert (1:0.4.10-2) unstable; urgency=low
 .
   * New maintainer. (Closes: #297346: ITA: albert)
   * Works with SBCL unicode and CMUCL again:
     - Closes: #312277: relative pathname error
     - Closes: #312317: broken with SBCL because of SIMPLE-BASE-STRING
                        declarations
     - several character set cleanups to not confuse SBCL's UTF-8 support
   * add README.Packaging about Darcs repository
   * updated package description
Files: 
 1937d3112e94b0bdcc04cdaaede6a8dd 566 devel optional albert_0.4.10-2.dsc
 1945a15ceef9293035f758aa3e816d11 227094 devel optional albert_0.4.10.orig.tar.gz
 937da84bcbbf9b0252592401a04e359b 5593 devel optional albert_0.4.10-2.diff.gz
 d43f6ef401e4c39eb6f3834d80818b74 194086 devel optional albert_0.4.10-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCqQbj11ldN0tyliURApQHAKCPTimzlGQkUYY22LI9OjE9RHaBoQCeLSyt
jsrVRqPn3wrNhj9fvL+6vkw=
=m8Rp
-----END PGP SIGNATURE-----




Changed Bug title. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 05:45:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:47:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.